Bug 455543 - tomcat doesn't start after updating tomcat-native and glibc
tomcat doesn't start after updating tomcat-native and glibc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 20:21 EDT by Bruno Medeiros
Modified: 2009-06-18 00:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 21:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The tomcat5 log describing the full error (8.14 KB, text/plain)
2008-07-15 20:21 EDT, Bruno Medeiros
no flags Details
The packages updated before tomcat5 stop working (5.51 KB, text/plain)
2008-07-15 20:23 EDT, Bruno Medeiros
no flags Details

  None (edit)
Description Bruno Medeiros 2008-07-15 20:21:58 EDT
Description of problem:
-----------------------

After run a "yum --enablerepo=updates-testing update" on July 12, my installed
tomcat5 stop starting with the following error (my complete catalina.out is
attached):

Jul 14, 2008 3:09:07 AM org.apache.coyote.http11.Http11AprProtocol init
SEVERE: Error initializing endpoint
java.lang.Exception: Socket bind failed: [22] Invalid argument

---------------------------------------------------------------------------

My related installed packages in the moment of this error were:

glibc.i686                               2.8-7                  installed       
glibc.x86_64                             2.8-7                  installed       
tomcat-native.x86_64                     1.1.14-1.fc9           installed       
tomcat5.x86_64                           5.5.26-1jpp.2.fc9      installed       
tomcat6.noarch                           6.0.16-1jpp.7.fc9      installed 

but more packages were update at the same moment. I'll attach a a full list of
packages updated.


How reproducible:
-----------------

Steps to Reproduce:

1. Run:

yum --enablerepo=updates-testing update

2. Restart the computer (before restart tomcat works perfectly)

3. Starts tomcat:

service tomcat5 restart
  
Actual results:
Tomcat doesn't start, giving the attached catalina.out as output.

Expected results:
Tomcat starts normally.

Additional info:

1. The same happens with tomcat6 package.

2. I tried to downgrade the tomcat-native package to the version in 'updates' 
repo (1.1.13-1), but got the same error. I think it's being caused by the glibc
update or something i can't imagine.
Comment 1 Bruno Medeiros 2008-07-15 20:21:58 EDT
Created attachment 311898 [details]
The tomcat5 log describing the full error
Comment 2 Bruno Medeiros 2008-07-15 20:23:46 EDT
Created attachment 311899 [details]
The packages updated before tomcat5 stop working
Comment 3 Manuel L. Gonzalez-Garay 2008-08-14 16:41:25 EDT
I am also experiencing the same problem on a fresh installation of Fedora 9 and updating the system (08-14-08). I have a Dell Precision T3400  Intel(R) Core(TM)2 Quad  CPU   Q9450  @ 2.66GHz. 
Initially I installed tomcat5 and all the associated files, the servers was working correctly, then I installed tomcat-native and tomcat was unable to start, I got a similar error as reported by Bruno on the catalina.log.

As an additional note, I also tested disabling the ipv6 without any effect, and also check that the port 8080 is not on use with netstat -a|grep 80

Thanks,

Manuel

Logs



Without tomcat-native
/etc/rc.d/init.d/tomcat5 start
Starting tomcat5:                                          [  OK  ]

cat catalina.out 
Using CATALINA_BASE:   /usr/share/tomcat5
Using CATALINA_HOME:   /usr/share/tomcat5
Using CATALINA_TMPDIR: /usr/share/tomcat5/temp
Using JRE_HOME:       
Aug 14, 2008 3:29:19 PM org.apache.catalina.core.AprLifecycleListener lifecycleEvent
INFO: The Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
Aug 14, 2008 3:29:19 PM org.apache.coyote.http11.Http11BaseProtocol init
INFO: Initializing Coyote HTTP/1.1 on http-8080
Aug 14, 2008 3:29:19 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 354 ms
Aug 14, 2008 3:29:19 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Aug 14, 2008 3:29:19 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/5.5.26
Aug 14, 2008 3:29:19 PM org.apache.catalina.core.StandardHost start
INFO: XML validation disabled
Aug 14, 2008 3:29:20 PM org.apache.coyote.http11.Http11BaseProtocol start
INFO: Starting Coyote HTTP/1.1 on http-8080
Aug 14, 2008 3:29:20 PM org.apache.jk.common.ChannelSocket init
INFO: JK: ajp13 listening on /0.0.0.0:8009
Aug 14, 2008 3:29:20 PM org.apache.jk.server.JkMain start
INFO: Jk running ID=0 time=0/14  config=null
Aug 14, 2008 3:29:20 PM org.apache.catalina.storeconfig.StoreLoader load
INFO: Find registry server-registry.xml at classpath resource
Aug 14, 2008 3:29:20 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 680 ms
/etc/rc.d/init.d/tomcat5 stop
Stopping tomcat5:                                          [  OK  ]

Then after adding the tomcat-native x86_64 1.1.14.1.fc9

/etc/rc.d/init.d/tomcat5 start
Starting tomcat5:                                          [  OK  ]

INFO: Stopping Coyote HTTP/1.1 on http-8080
Aug 14, 2008 3:32:33 PM org.apache.catalina.core.AprLifecycleListener lifecycleEvent
INFO: Failed shutdown of Apache Portable Runtime
Using CATALINA_BASE:   /usr/share/tomcat5
Using CATALINA_HOME:   /usr/share/tomcat5
Using CATALINA_TMPDIR: /usr/share/tomcat5/temp
Using JRE_HOME:       
Aug 14, 2008 3:33:45 PM org.apache.coyote.http11.Http11AprProtocol init
SEVERE: Error initializing endpoint
java.lang.Exception: Socket bind failed: [22] Invalid argument
	at org.apache.tomcat.util.net.AprEndpoint.init(AprEndpoint.java:576)
	at org.apache.coyote.http11.Http11AprProtocol.init(Http11AprProtocol.java:116)
	at org.apache.catalina.connector.Connector.initialize(Connector.java:1017)
	at org.apache.catalina.core.StandardService.initialize(StandardService.java:578)
	at org.apache.catalina.core.StandardServer.initialize(StandardServer.java:782)
	at org.apache.catalina.startup.Catalina.load(Catalina.java:504)
	at org.apache.catalina.startup.Catalina.load(Catalina.java:524)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.load(Bootstrap.java:267)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:432)
Aug 14, 2008 3:33:45 PM org.apache.catalina.startup.Catalina load
SEVERE: Catalina.start
LifecycleException:  Protocol handler initialization failed: java.lang.Exception: Socket bind failed: [22] Invalid argument
	at org.apache.catalina.connector.Connector.initialize(Connector.java:1019)
	at org.apache.catalina.core.StandardService.initialize(StandardService.java:578)
	at org.apache.catalina.core.StandardServer.initialize(StandardServer.java:782)
	at org.apache.catalina.startup.Catalina.load(Catalina.java:504)
	at org.apache.catalina.startup.Catalina.load(Catalina.java:524)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.load(Bootstrap.java:267)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:432)
Aug 14, 2008 3:33:45 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 354 ms
Aug 14, 2008 3:33:45 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Aug 14, 2008 3:33:45 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/5.5.26
Aug 14, 2008 3:33:45 PM org.apache.catalina.core.StandardHost start
INFO: XML validation disabled
Aug 14, 2008 3:33:45 PM org.apache.coyote.http11.Http11AprProtocol start
SEVERE: Error starting endpoint
java.lang.Exception: Socket bind failed: [22] Invalid argument
	at org.apache.tomcat.util.net.AprEndpoint.init(AprEndpoint.java:576)
	at org.apache.tomcat.util.net.AprEndpoint.start(AprEndpoint.java:686)
	at org.apache.coyote.http11.Http11AprProtocol.start(Http11AprProtocol.java:146)
	at org.apache.catalina.connector.Connector.start(Connector.java:1090)
	at org.apache.catalina.core.StandardService.start(StandardService.java:457)
	at org.apache.catalina.core.StandardServer.start(StandardServer.java:700)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:552)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:295)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:433)
Aug 14, 2008 3:33:45 PM org.apache.catalina.startup.Catalina start
SEVERE: Catalina.start: 
LifecycleException:  service.getName(): "Catalina";  Protocol handler start failed: java.lang.Exception: Socket bind failed: [22] Invalid argument
	at org.apache.catalina.connector.Connector.start(Connector.java:1097)
	at org.apache.catalina.core.StandardService.start(StandardService.java:457)
	at org.apache.catalina.core.StandardServer.start(StandardServer.java:700)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:552)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:295)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:433)
Aug 14, 2008 3:33:45 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 595 ms
Comment 4 Bruno Medeiros 2008-08-15 10:43:49 EDT
Hi!

I've just tried to remove de tomcat-native.x86_64 0:1.1.14-1.fc9 package and tomcat starts perfectly, as reported by Manuel.

Installing 
tomcat-native.x86_64 0:1.1.14-1.fc9
or
tomcat-native.x86_64 0:1.1.13-1.fc9

causes tomcat to crash on start with the error already reported.
I keep thinking that is some incompatibility of the tomcat-native and glibc after the 2.8-7 version of glibc, because tomcat-native 1.1.13-1 worked perfectly here before the glibc update.
My current glibc version is 2.8-8 and i don't know how to downgrade it to the my guess, because it has a lot of packages depending on it.
Comment 5 Christopher Beland 2009-03-13 02:39:45 EDT
I see that tomcat5-5.5.27-0jpp.2.fc9 and tomcat-native 1.1.15-1.fc9 have since been released; is the problem still occurring?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bruno Medeiros 2009-03-13 09:57:15 EDT
Hi!

Unfortunately I don't have a Fedora 9 to test anymore. It's been upgraded to a Fedora 10.

All I can say about this by now is that I have 

tomcat-native.x86_64 1.1.16-1.fc10 
tomcat5.noarch 5.5.27-6.1.fc10 
tomcat6.noarch 6.0.18-6.2.fc10

working properly here on my Fedora 10 system.

If a have some time, I will set up a fedora 9 virtual machine to test this.

Tahnks,

Bruno Medeiros
Comment 7 Bug Zapper 2009-06-09 22:06:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Christopher Beland 2009-06-12 21:23:58 EDT
Given the pending EOL of Fedora 9, let's call this close enough if it's fixed for Fedora 10.  Thanks!
Comment 9 Bruno Medeiros 2009-06-18 00:26:29 EDT
I can confirm it's fixed on Fedora 10 and 11.
Thanks for the time spent on this.

Note You need to log in before you can comment on or make changes to this bug.